APIAnomaly
Triage finding
Triage a finding (acknowledge / dismiss / reopen).
PATCH
/anomaly/findings/{id}Triage a finding (acknowledge / dismiss / reopen).
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/anomaly/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "detector": "llm_cost_spike", "family": "baseline", "grain": "hour", "metric": "string", "dimension": "string", "dimension_display": "string", "subject_type": "user", "subject_id": "string", "subject_display_name": "string", "bucket": "2019-08-24T14:15:22Z", "last_bucket": "2019-08-24T14:15:22Z", "severity": "low", "status": "open", "observed": 0.1, "evidence": { "baseline": { "window_days": 0, "n": 0, "mean": 0.1, "stddev": 0.1, "median": 0.1, "mad": 0.1, "mean_ad": 0.1 }, "scoring": { "robust_score": 0.1, "z_score": 0.1, "dispersion_basis": "mad", "threshold": 0.1, "floor": 0.1, "abs_delta": 0.1, "rel_factor": 0.1 }, "peer": { "rank": 0.1, "n": 0 }, "slice": { "hour": 0, "dow_class": "string", "fell_back": true }, "prior": { "max": 0.1, "p90": 0.1, "exceeded": true }, "novelty": { "keys": [ "string" ], "keys_display": [ "string" ], "new_for_org": true, "dormancy_days": 0 }, "threshold": { "floor": 0.1 }, "off_hours": { "min_calls": 0.1, "history_days": 0 } }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "status_changed_at": "2019-08-24T14:15:22Z"}{ "code": "bad_request", "message": "string", "validation_errors": [ { "field": "string", "message": "string", "rule": "string" } ]}